#!/usr/bin/env python
# -*- coding: UTF-8 -*-

import dbus
import dbus.service
import logging
import time

def close_session():
    session_manager_object = None
    while not session_manager_object:
        try:
            bus = dbus.SessionBus()
            proxy = bus.get_object("org.gnome.SessionManager",
                                   "/org/gnome/SessionManager" )
            session_manager_object = dbus.Interface(proxy,
                                             dbus_interface='org.gnome.SessionManager')
        except dbus.DBusException, e:
                    logging.error("Error obteniendo objeto dbus: "+str(e))
                    logging.info("Duermo 1 segundo esperando al servicio pillbug")
                    time.sleep(1)

    logging.debug("ahora cierra sesion!")
    session_manager_object.Logout(2)


if __name__ == '__main__':
    logging.basicConfig(level=logging.DEBUG)
    close_session()
